/* GENERAL */

* {
   box-sizing: border-box;
   padding: 0;
   margin: 0;
}

html {
   scroll-behavior: smooth;
}

body {
   background: #fff;
   color: #192336;
}

h1, h2, h3, h4, h5, p {
   padding: 0;
   margin: 0;
}

/* NAVIGATION */

#nav-wrap ul, #nav-wrap li, #nav-wrap a {
   margin: 0;
   padding: 0;
   border: none;
   outline: none;
}

#nav-wrap {
  background-color: #1923368d;
  font: 12px 'opensans-bold', sans-serif;
  width: 100%;
  text-transform: uppercase;
  letter-spacing: 2.5px;
  margin: 0 auto;
  z-index: 100;
  position: fixed;
  left: 0;
  top: 0;
}

ul#nav {
  min-height: 48px;
  width: auto;
  text-align: center;
}

ul#nav li {
  position: relative;
  list-style: none;
  height: 48px;
  display: inline-block;
}

ul#nav li a {
  display: inline-block;
  padding: 8px 13px;
  line-height: 32px;
  text-decoration: none;
  text-align: left;
  color: #fff;

  -webkit-transition: color .2s ease-in-out;
  -moz-transition: color .2s ease-in-out;
  -o-transition: color .2s ease-in-out;
  -ms-transition: color .2s ease-in-out;
  transition: color .2s ease-in-out;
}

ul#nav li a:hover, ul#nav li a:active {
  color: #f4bac2;
}


/* HOME */

header {
   position: relative;
   height: 600px;
   min-height: 500px;
   width: 100%;
   background: url(../images/header-background.jpeg) no-repeat top center;
   background-size: cover;
   text-align: center;
}

.headline-title {
   font: 90px/1.1em 'opensans-bold', sans-serif;
   color: #fff;
   letter-spacing: -2px;
   margin: 0 auto 18px auto;
   padding-top: 200px;
   text-shadow: 0px 1px 3px rgba(0, 0, 0, .8);
}

header h3 {
   font: 18px/1.9em 'librebaskerville-regular', serif;
   color: #293447;
   margin: 0 auto;
   width: 70%;
   text-shadow: 0px 1px 2px rgba(0, 0, 0, .5);
}

header h3 span,
header h3 a {
   color: #293447;
   text-decoration: none;
}

.social li {
   display: inline-block;
   margin: 30px 15px;
   padding: 0;
}

/* ABOUT */

#about {
   background: #2c3441;
}

.about-wrapper {
   max-width: 1200px;
   margin: 0 auto;
   padding: 50px 0;
   display: flex;
   justify-content: center;
   background: #2c3441
}

#about h2 {
   margin: 20px;
   font: 22px/30px 'opensans-bold', sans-serif;
   color: #fff;
}
#about p {
   margin: 20px;
   line-height: 30px;
   color: #f7eaec;
}
#about .profile-pic {
   margin: 40px;
   position: relative;
   width: 120px;
   height: 120px;
   border-radius: 100%;
}

/* EDUCATION */

.education-wrapper {
   max-width: 1200px;
   margin: 0 auto;
   padding: 50px 0;
   display: flex;
   justify-content: center;
   background: #fff
}

.headline {
   width: 350px;
   padding: 20px;
   font: 18px/24px 'opensans-bold', sans-serif;
   text-transform: uppercase;
   letter-spacing: 1px;
   margin-right: 50px;
}

.items-wrapper {
   width: 800px;
}

h3 {
   font-size: 24px;
}

.headline span {
   border-bottom: 3px solid #f4bac2;
   padding-bottom: 6px;
}

.info, .date {
   padding: 20px;
   font-style: italic;
   font-size: 18px;
}

.date {
   padding-left: 0;
}

.course-description {
   padding: 0 20px 20px 20px;
   font-size: 18px;
}


/* EXPERIENCE */

.experience-wrapper {
   max-width: 1200px;
   margin: 0 auto;
   padding: 50px 0;
   display: flex;
   justify-content: center;
}

/* SKILLS */

.skills-wrapper {
   max-width: 1200px;
   margin: 0 auto;
   padding: 50px 0;
   display: flex;
   
}

.bars {
	width: 95%;
	float: left;
	padding: 0;
	text-align: left;
}

.bars .skills {
  	margin-top: 36px;
   list-style: none;
}

.bars li {
   position: relative;
  	margin-bottom: 60px;
  	background: #ccc;
  	height: 42px;
  	border-radius: 150px;
}

.bars li em {
	font: 20px 'opensans-bold', sans-serif;
	text-transform: uppercase;
   letter-spacing: 1px;
	font-weight: normal;
   position: relative;
   left: 50px;
	top: -36px;
}

.bar-expand {
   position: absolute;
   left: 0;
   top: 0;

   margin: 0;
   padding-right: 24px;
  	background: #7788a8;
   display: inline-block;
  	height: 42px;
   line-height: 42px;
   border-radius: 150px 0 0 150px;
}

.html {
  	width: 90%;
  	-webkit-animation: photoshop 2s ease;
}
.css {
  	width: 85%;
  	-webkit-animation: illustrator 2s ease;
}
.js {
  	width: 50%;
  	-webkit-animation: wordpress 2s ease;
}
.english {
  	width: 90%;
  	-webkit-animation: css 2s ease;
}

@-webkit-keyframes photoshop {
  0%   { width: 0px;  }
  100% { width: 90%;  }
}
@-webkit-keyframes illustrator {
  0%   { width: 0px;  }
  100% { width: 85%;  }
}
@-webkit-keyframes wordpress {
  0%   { width: 0px;  }
  100% { width: 50%;  }
}
@-webkit-keyframes css {
  0%   { width: 0px;  }
  100% { width: 90%;  }
}

.code-example-wrapper {
  display: flex;
  justify-content: center;
  align-items: center;
  border: 1px solid #7788a8;
}

.code {
  padding: 20px;
  font-size: 24px;
  color: #000;
}

/* PROJECTS */

.projects-wrapper {
   max-width: 1200px;
   margin: 0 auto;
   padding: 50px 0;
   display: flex;
   flex-direction: column;
   justify-content: center;
}

#projects h2 {
   font: 24px 'opensans-semibold', sans-serif;
   text-transform: uppercase;
   letter-spacing: 1px;
   text-align: center;
   margin-bottom: 48px;
   color: #95A3A3;
}

#portfolio-wrapper {
   display: flex;
   justify-content: space-between;
   flex-wrap: wrap;
}

#projects img {
   border-radius: 5px;
   box-shadow: rgba(50, 50, 93, 0.25) 0px 50px 100px -20px, rgba(0, 0, 0, 0.3) 0px 30px 60px -30px;
}

/* CONTACT INFO*/

#contacts h2 {
   padding: 0 20px 20px 20px;
}

.contacts-wrapper {
   max-width: 1200px;
   margin: 0 auto;
   padding: 50px 0;
   display: flex;
   flex-direction: column;
   align-items: center;
}

/* FOOTER */

footer {
   background: #2c3441;
   color: #f7eaec;
}

.footer-wrapper {
   max-width: 1200px;
   margin: 0 auto;
   padding: 10px 0;
   display: flex;
   justify-content: space-between;
   align-items: center;
}

.year {
   font-size: 24px;
}

.github-link {
   filter: invert(100%) sepia(0%) saturate(0%) hue-rotate(4deg) brightness(103%) contrast(104%);
}

/* MEDIA */